Get a document's source
- GET /{index}/_source/{id}
Get the source of a document. For example:
GET my-index-000001/_source/1
You can use the source filtering parameters to control which parts of the _source are returned:
GET my-index-000001/_source/1/?_source_includes=*.id&_source_excludes=entities
- Index privileges:
read
Query Parameters
-
preferencestring The node or shard the operation should be performed on. By default, the operation is randomized between the shard replicas.
-
realtimeboolean · default: true If
true, the request is real-time as opposed to near-real-time.-
refreshboolean · default: false If
true, the request refreshes the relevant shards before retrieving the document. Setting it totrueshould be done after careful thought and verification that this does not cause a heavy load on the system (and slow down indexing).-
routingRouting A custom value used to route operations to a specific shard.
-
_sourceSourceConfigParam Indicates whether to return the
_sourcefield (trueorfalse) or lists the fields to return.-
_source_excludesFields A comma-separated list of source fields to exclude in the response.
-
_source_includesFields A comma-separated list of source fields to include in the response.
-
versionnumber VersionNumber The version number for concurrency control. It must match the current version of the document for the request to succeed.
-
version_typeVersionType The version type.
Supported values include:
internal: Use internal versioning that starts at 1 and increments with each update or delete.external: Only index the document if the specified version is strictly higher than the version of the stored document or if there is no existing document.external_gte: Only index the document if the specified version is equal or higher than the version of the stored document or if there is no existing document. NOTE: Theexternal_gteversion type is meant for special use cases and should be used with care. If used incorrectly, it can result in loss of data.
-
Values:
internalexternalexternal_gte
Response
Response Type: object